Loading...
Searching...
No Matches
Catch::Generators::ChunkGenerator< T > Class Template Referencefinal

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Generators::ChunkGenerator< T >:
[legend]
Collaboration diagram for Catch::Generators::ChunkGenerator< T >:
[legend]

## Public Member Functions

| ChunkGenerator (size_t size, GeneratorWrapper< T > generator)
std::vector< T > const & | get () const override
bool | next () override
Public Member Functions inherited from Catch::Generators::GeneratorUntypedBase
| GeneratorUntypedBase ()=default
| GeneratorUntypedBase (GeneratorUntypedBase const &)=default
GeneratorUntypedBase & | operator= (GeneratorUntypedBase const &)=default
virtual | ~GeneratorUntypedBase ()
bool | countedNext ()
std::size_t | currentElementIndex () const
StringRef | currentElementAsString () const

## Private Attributes

std::vector< T > | m_chunk
size_t | m_chunk_size
GeneratorWrapper< T > | m_generator
bool | m_used_up = false

## Additional Inherited Members

Public Types inherited from Catch::Generators::IGenerator< std::vector< T > >
using | type

## Constructor & Destructor Documentation

## ChunkGenerator()

template<typename T>

Catch::Generators::ChunkGenerator< T >::ChunkGenerator | ( | size_t | size,
|  | GeneratorWrapper< T > | generator )

inline

Here is the call graph for this function:

## Member Function Documentation

## get()

template<typename T>

std::vector< T > const & Catch::Generators::ChunkGenerator< T >::get | ( |  | ) | const

inlineoverridevirtual

Implements Catch::Generators::IGenerator< std::vector< T > >.

## next()

template<typename T>

bool Catch::Generators::ChunkGenerator< T >::next | ( |  | ) |

inlineoverridevirtual

Attempts to move the generator to the next element

Returns true iff the move succeeded (and a valid element can be retrieved).

Implements Catch::Generators::GeneratorUntypedBase.

## Member Data Documentation

## m_chunk

template<typename T>

std::vector<T> Catch::Generators::ChunkGenerator< T >::m_chunk

private

## m_chunk_size

template<typename T>

size_t Catch::Generators::ChunkGenerator< T >::m_chunk_size

private

## m_generator

template<typename T>

GeneratorWrapper<T> Catch::Generators::ChunkGenerator< T >::m_generator

private

## m_used_up

template<typename T>

bool Catch::Generators::ChunkGenerator< T >::m_used_up = false

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp